%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kcmlaptop
Summary: A KDE control panel and battery monitor for laptop computers.
Version: 0.82
Release: 5
Source: http://www.taniwha.com/laptop/kcmlaptop-%{version}.tar.gz
Patch0: kcmlaptop-0.82-exit.patch
Patch1: kcmlaptop-0.82-getuid.patch
Url: http://www.taniwha.com/laptop/
Group: Applications/System
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{kdeprefix}
BuildPrereq: qt1x-devel, kdelibs-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
Kcmlaptop is a set of K Desktop Environment (KDE) control panels which
display laptop computer support functions, and are compatible with the
Advanced Power Management (APM) specification.  Kcmlaptop includes a
dockable battery status monitor (a little icon in the KDE status bar
which shows how much battery time you have left).  Kcmlaptop can also
warn you when power is getting low and allow you to configure power
saving options.  You'll need X and KDE installed to use Kcmlaptop.

%prep
%setup -q
%patch0 -p1 -b .exit
%patch1 -p1 -b .getuid

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="${CXX}" CC="${CC}" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}


%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name} 

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- add Url
- fix to build with new libstdc++

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- created spec for powertools 6.1
